'use strict';

exports.__esModule = true;
exports.copy = exports.exit = undefined;

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var print = function print(_ref) {
  var color = _ref.color,
      message = _ref.message,
      _ref$type = _ref.type,
      type = _ref$type === undefined ? 'log' : _ref$type;

  // eslint-disable-next-line
  console[type](_chalk2['default'].bold[color](message));
};

var error = function error(message) {
  return print({
    color: 'red',
    message: message,
    type: 'error'
  });
};

var success = function success(message) {
  return print({
    color: 'green',
    message: message
  });
};

var exit = exports.exit = function exit() {
  var _ref2 = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
      _ref2$code = _ref2.code,
      code = _ref2$code === undefined ? 0 : _ref2$code,
      _ref2$message = _ref2.message,
      message = _ref2$message === undefined ? '' : _ref2$message;

  if (message) {
    var text = '\n\t' + message + '\n';
    if (code === 0) {
      success(text);
    } else {
      error(text);
    }
  }
  process.exit(code);
};

var copy = _fsExtra2['default'].copy;
exports.copy = copy;