'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var composeRegex = exports.composeRegex = function composeRegex() {
  for (var _len = arguments.length, regexps = Array(_len), _key = 0; _key < _len; _key++) {
    regexps[_key] = arguments[_key];
  }

  return new RegExp(regexps.reduce(function (str, regex) {
    return '' + str + regex.toString().slice(1, -1);
  }, ''));
};

var stringMatch = exports.stringMatch = function stringMatch(str, matcher) {
  var newRegex = composeRegex(/^/, matcher.regex);
  if (newRegex.test(str)) {
    if (matcher.alternatives) {
      var newStr = str.replace(newRegex, '');
      return matcher.alternatives.reduce(function (acc, alt) {
        return acc || stringMatch(newStr, alt);
      }, false);
    }
    return true;
  }
  return false;
};